|  | Home · All Classes · Main Classes · Annotated · Grouped Classes · Functions |

# QSqlDriverPlugin Class Reference

The QSqlDriverPlugin class provides an abstract base for custom QSqlDriver plugins. More...

    #include <QSqlDriverPlugin>

Part of the QtSql module.

Inherits QObject.

- List of all members, including inherited members

### Public Functions

- QSqlDriverPlugin ( QObject * parent = 0 )
- ~QSqlDriverPlugin ()
- virtual QSqlDriver * create ( const QString & key ) = 0
- virtual QStringList keys () const = 0

- 28 public functions inherited from QObject

### Additional Inherited Members

- 1 property inherited from QObject
- 1 public slot inherited from QObject
- 1 signal inherited from QObject
- 4 static public members inherited from QObject
- 7 protected functions inherited from QObject

## Detailed Description

The QSqlDriverPlugin class provides an abstract base for custom QSqlDriver plugins.

The SQL driver plugin is a simple plugin interface that makes it easy to create your own SQL driver plugins that can be loaded dynamically by Qt.

Writing a SQL plugin is achieved by subclassing this base class, reimplementing the pure virtual functions keys() and create(), and exporting the class with the `Q_EXPORT_PLUGIN` macro. See the SQL plugins that come with Qt for example implementations (in the `plugins/src/sqldrivers` subdirectory of the source distribution). Read the plugins documentation for more information on plugins.

## Member Function Documentation

### QSqlDriverPlugin::QSqlDriverPlugin ( QObject * parent = 0 )

Constructs a SQL driver plugin and sets the parent to parent. This is invoked automatically by the `Q_EXPORT_PLUGIN` macro.

### QSqlDriverPlugin::~QSqlDriverPlugin ()

Destroys the SQL driver plugin.

You never have to call this explicitly. Qt destroys a plugin automatically when it is no longer used.

### QSqlDriver * QSqlDriverPlugin::create ( const QString & key ) `[pure virtual]`

Creates and returns a QSqlDriver object for the driver called key. The driver key is usually the class name of the required driver.

Reimplemented from QSqlDriverFactoryInterface.

See also keys().

### QStringList QSqlDriverPlugin::keys () const `[pure virtual]`

Returns the list of drivers (keys) this plugin supports.

These keys are usually the class names of the custom drivers that are implemented in the plugin.

Reimplemented from QFactoryInterface.

See also create().